# uniswap-lib

[![Actions Status](https://github.com/Uniswap/uniswap-lib/workflows/CI/badge.svg)](https://github.com/Uniswap/uniswap-lib/actions)
[![npm](https://img.shields.io/npm/v/nimbus-swap-mod/lib)](https://unpkg.com/nimbus-swap-mod/lib@latest/)

Solidity libraries that are shared across Uniswap contracts. These libraries are focused on safety and gas efficiency.

## Install

Run `yarn` to install dependencies.

## Test

Run `yarn test` to execute the test suite.

## Usage

Install this in another project via `yarn add nimbus-swap-mod/lib` 

Then import the contracts via:

```solidity
import "nimbus-swap-mod/lib/contracts/libraries/Babylonian.sol"; 
```
